<?php

declare(strict_types=1);

namespace Dedi\SyliusMailAdminPlugin\Form\Registry;

class MailDefinition
{
    private string $mailCode;

    private string $variableName;

    private string $variableLabel;

    public function __construct(
        string $mailCode,
        string $variableName,
        string $variableLabel
    ) {
        $this->mailCode = $mailCode;
        $this->variableName = $variableName;
        $this->variableLabel = $variableLabel;
    }

    public function getMailCode(): string
    {
        return $this->mailCode;
    }

    public function setMailCode(string $mailCode): self
    {
        $this->mailCode = $mailCode;

        return $this;
    }

    public function getVariableName(): string
    {
        return $this->variableName;
    }

    public function setVariableName(string $variableName): self
    {
        $this->variableName = $variableName;

        return $this;
    }

    public function getVariableLabel(): string
    {
        return $this->variableLabel;
    }

    public function setVariableLabel(string $variableLabel): self
    {
        $this->variableLabel = $variableLabel;

        return $this;
    }
}
